import { NextResponse } from "next/server";
import { prisma } from "@repo/db";

export async function GET(): Promise<NextResponse> {
	try {
		const connectedAircraft = await prisma.connectedAircraft.findMany({
			where: {
				logoutTime: null,
			},
			include: {
				Station: true,
			},
		});

		return NextResponse.json(connectedAircraft, {
			status: 200,
		});
	} catch (error) {
		console.error(error);
		return NextResponse.json(
			{ error: "Failed to fetch Aircrafts" },
			{ status: 500 },
		);
	}
}
